Index: trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg
===================================================================
--- trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1040)
+++ trunk/cfg/3D-HEVC/NonCTC/rc/baseCfg_3view+depth_rate_control.cfg	(revision 1066)
@@ -26,23 +26,38 @@
 ScalabilityMask               : 3           # Scalability Mask             ( 2: View Scalability, 3: View + Depth Scalability )
 DimensionIdLen                : 1 2         # Number of bits to store Ids,  per scalability dimension, (m)
-ViewOrderIndex                : 0 0 1 1 2 2 # ViewOrderIndex (m)
+ViewOrderIndex                : 0 0 1 1 2 2 # ViewOrderIndex, per layer (m)
 DepthFlag                     : 0 1 0 1 0 1 # DepthFlag  (m) 
-LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling ) (m)
+LayerIdInNuh                  : 0           # Layer Id in NAL unit header, (0: no explicit signalling, otherwise per layer ) (m)
 SplittingFlag                 : 0           # Splitting Flag 
-ViewId                        : 1 0 2       # ViewId per ViewOrderIndex (m)
+ViewId                        : 1 0 2       # ViewId, per ViewOrderIndex (m)
 
 #======== VPS/ Layer sets ================
 VpsNumLayerSets               : 5           # Number of layer sets    
-LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set
-LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set
-LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set
-LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set
-LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set
-
+LayerIdsInSet_0               : 0           # Indices in VPS of layers in layer set 0
+LayerIdsInSet_1               : 0 1         # Indices in VPS of layers in layer set 1
+LayerIdsInSet_2               : 0 1 2 3     # Indices in VPS of layers in layer set 2
+LayerIdsInSet_3               : 0 1 4 5     # Indices in VPS of layers in layer set 3
+LayerIdsInSet_4               : 0 1 2 3 4 5 # Indices in VPS of layers in layer set 4
+
+#======== VPS / Output layer sets ================
 DefaultTargetOutputLayerIdc   : 0            # Specifies output layers of layer sets, 0: output all layers, 1: output highest layer, 2: specified by LayerIdsInDefOutputLayerSet
 OutputLayerSetIdx             : 2 3          # Indices of layer sets used to derive additional output layer sets
-LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of additional output layers
-LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of additional output layers
-ProfileLevelTierIdx           : 0 0 0 0 0 0 0 0 # Indices to profile level tier (TBD)
+LayerIdsInAddOutputLayerSet_0 : 2 3          # Indices in VPS of output layers in additional output layer set 0
+LayerIdsInAddOutputLayerSet_1 : 4 5          # Indices in VPS of output layers in additional output layer set 1
+
+
+#======== VPS / PTLI ================
+Profile                       : main main 3d-main          # Profile indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Level                         : none none none             # Level   indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+Tier                          : main main main             # Tier    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+InblFlag                      : 0    0    0                # Inbl    indication in VpsProfileTierLevel, per VpsProfileTierLevel syntax structure  (m) 
+
+ProfileTierLevelIdx_0         : 1                          # VpsProfileTierLevel indices of layers in output layer set 0 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_1         : 1 2                        # VpsProfileTierLevel indices of layers in output layer set 1 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_2         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 2 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_3         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 3 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_4         : 1 2 2 2 2 2                # VpsProfileTierLevel indices of layers in output layer set 4 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_5         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 5 (m) (should be -1, when layer is not necessary)
+ProfileTierLevelIdx_6         : 1 2 2 2                    # VpsProfileTierLevel indices of layers in output layer set 6 (m) (should be -1, when layer is not necessary)
 
 #======== VPS / Dependencies ================
@@ -237,16 +252,19 @@
 
 #========== multiview coding tools ==========
-IvMvPred                            : 1                # Inter-view motion prediction
+IvMvPred                            : 1 1              # Inter-view motion prediction
 AdvMultiviewResPred                 : 1                # Advanced inter-view residual prediction (0:off, 1:on)
 IlluCompEnable                      : 1                # Enable Illumination compensation ( 0: off, 1: on )  (v/d)
+IlluCompLowLatencyEnc               : 0                # Enable low-latency Illumination compensation encoding( 0: off, 1: on )
 ViewSynthesisPred                   : 1                # View synthesis prediction 
-DepthRefinement                     : 1                # Dispary refined by depth DoNBDV
+DepthRefinement                     : 1                # Disparity refined by depth DoNBDV
 IvMvScaling                         : 1                # Interview motion vector scaling
-
-
+SubPULog2Size                       : 3                # Log2 of sub-PU size for IvMvPred (2...6)
+SubPUMPILog2Size                    : 3                # Log2 of sub-PU size for MPI (3...6)
+DBBP                                : 1                # Depth-based Block Partitioning
 
 #========== depth coding tools ==========
 VSO                       : 1                                      # use of view synthesis optimization for depth coding
 DMM                                : 1
+IVP                                : 1                 # use of intra-view prediction mode
 SDC                                : 1
 DLT                                : 1
@@ -255,5 +273,5 @@
 InterSDC                           : 1                             # use of inter sdc
 MPI                                : 1
-
+SingleDepthMode                    : 1                 # use of single depth mode
 #========== view synthesis optimization (VSO) ==========
 VSOConfig                 : [cx0 B(cc1) I(s0.25 s0.5 s0.75)][cx1 B(oo0) B(oo2) I(s0.25 s0.5 s0.75 s1.25 s1.5 s1.75)][cx2 B(cc1) I(s1.25 s1.5 s1.75)] # VSO configuration string
